Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
pricegroupedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $price = new eZPriceGroup( $PriceID )
if(isset( $Cancel)) if(isset( $OK)) else if(isset( $PriceID) and is_numeric( $PriceID)) | $t
| $groups = eZUserGroup::getAll()

## Variable Documentation

## ◆ $groups

$groups = eZUserGroup::getAll()

Definition at line 91 of file pricegroupedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file pricegroupedit.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 35 of file pricegroupedit.php.

## ◆ $price

$price = new eZPriceGroup( $PriceID )

Definition at line 39 of file pricegroupedit.php.

Referenced by eZProduct\addVAT(), eZOrderConfirmation\confirm(), eZCartItem\correctPrice(), eZOrderItem\correctPrice(), eZVoucher\correctPrice(), eZVoucherUsed\correctPrice(), eZOptionValue\correctPrice(), eZProduct\correctPrice(), eZVoucherInformation\correctPrice(), eZProduct\correctPriceRange(), eZCartItem\correctSavings(), eZProduct\correctSavings(), eZOptionValue\correctSavings(), eZProduct\extendedSearch(), eZProduct\extendedSearchCount(), eZProduct\extractVAT(), eZFreeTradeImport\importProducts(), eZCartItem\localePrice(), eZOrderItem\localePrice(), eZOptionValue\localePrice(), eZProduct\localePrice(), eZCartItem\localeSavings(), eZProduct\localeSavings(), eZOptionValue\localeSavings(), eZCartItem\price(), eZWishListItem\price(), eZProduct\priceExVAT(), eZProduct\priceIncVAT(), eZOptionValue\store(), eZProduct\store(), eZOrder\totalPrice(), eZOrder\totalVAT(), and eZProduct\vat().

## ◆ $t

if (isset($Cancel)) if (isset($OK)) else if (isset($PriceID) and is_numeric($PriceID)) $t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "pricegroupedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: pricegroupedit.php:35
$ini
$ini
Definition: pricegroupedit.php:33

Definition at line 68 of file pricegroupedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.